"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplAddressLookupTableErrorFromName = exports.getSplAddressLookupTableErrorFromCode = void 0;
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
function getSplAddressLookupTableErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplAddressLookupTableErrorFromCode = getSplAddressLookupTableErrorFromCode;
function getSplAddressLookupTableErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplAddressLookupTableErrorFromName = getSplAddressLookupTableErrorFromName;
//# sourceMappingURL=splAddressLookupTable.js.map