"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplComputeBudgetErrorFromName = exports.getSplComputeBudgetErrorFromCode = void 0;
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
function getSplComputeBudgetErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplComputeBudgetErrorFromCode = getSplComputeBudgetErrorFromCode;
function getSplComputeBudgetErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplComputeBudgetErrorFromName = getSplComputeBudgetErrorFromName;
//# sourceMappingURL=splComputeBudget.js.map