"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMemo = exports.getAddMemoInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getAddMemoInstructionDataSerializer(context) {
    const s = context.serializer;
    return s.struct([['memo', s.string()]], {
        description: 'AddMemoInstructionData',
    });
}
exports.getAddMemoInstructionDataSerializer = getAddMemoInstructionDataSerializer;
function addMemo(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splMemo', 'Memo1UhkJRfHyvLMcVucJwxXeuD728EqVDDwQDxFMNo');
    const data = getAddMemoInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.addMemo = addMemo;
//# sourceMappingURL=addMemo.js.map