import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type ApproveTokenDelegateCheckedInstructionAccounts = {
    source: PublicKey;
    mint: PublicKey;
    delegate: PublicKey;
    owner: Signer;
};
export type ApproveTokenDelegateCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type ApproveTokenDelegateCheckedInstructionDataArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getApproveTokenDelegateCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<ApproveTokenDelegateCheckedInstructionDataArgs, ApproveTokenDelegateCheckedInstructionData>;
export declare function approveTokenDelegateChecked(context: Pick<Context, 'serializer' | 'programs'>, input: ApproveTokenDelegateCheckedInstructionAccounts & ApproveTokenDelegateCheckedInstructionDataArgs): TransactionBuilder;
