import { Context, PublicKey, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type CreateAssociatedTokenInstructionAccounts = {
    payer?: Signer;
    ata?: PublicKey;
    owner?: PublicKey;
    mint: PublicKey;
    systemProgram?: PublicKey;
    tokenProgram?: PublicKey;
};
export declare function createAssociatedToken(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: CreateAssociatedTokenInstructionAccounts): TransactionBuilder;
