import { Context, Option, PublicKey, Serializer, TransactionBuilder } from '@metaplex-foundation/umi';
export type InitializeMint2InstructionAccounts = {
    mint: PublicKey;
};
export type InitializeMint2InstructionData = {
    discriminator: number;
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export type InitializeMint2InstructionDataArgs = {
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export declare function getInitializeMint2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMint2InstructionDataArgs, InitializeMint2InstructionData>;
export declare function initializeMint2(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMint2InstructionAccounts & InitializeMint2InstructionDataArgs): TransactionBuilder;
