import { Context, PublicKey, Serializer, TransactionBuilder } from '@metaplex-foundation/umi';
export type InitializeMultisigInstructionAccounts = {
    multisig: PublicKey;
    rent?: PublicKey;
};
export type InitializeMultisigInstructionData = {
    discriminator: number;
    m: number;
};
export type InitializeMultisigInstructionDataArgs = {
    m: number;
};
export declare function getInitializeMultisigInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMultisigInstructionDataArgs, InitializeMultisigInstructionData>;
export declare function initializeMultisig(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMultisigInstructionAccounts & InitializeMultisigInstructionDataArgs): TransactionBuilder;
