import { Context, PublicKey, Serializer, TransactionBuilder } from '@metaplex-foundation/umi';
export type InitializeToken2InstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    rent?: PublicKey;
};
export type InitializeToken2InstructionData = {
    discriminator: number;
    owner: PublicKey;
};
export type InitializeToken2InstructionDataArgs = {
    owner: PublicKey;
};
export declare function getInitializeToken2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeToken2InstructionDataArgs, InitializeToken2InstructionData>;
export declare function initializeToken2(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeToken2InstructionAccounts & InitializeToken2InstructionDataArgs): TransactionBuilder;
