import { Context, PublicKey, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type RecoverNestedAssociatedTokenInstructionAccounts = {
    nestedAssociatedAccountAddress: PublicKey;
    nestedTokenMintAddress: PublicKey;
    destinationAssociatedAccountAddress: PublicKey;
    ownerAssociatedAccountAddress: PublicKey;
    ownerTokenMintAddress: PublicKey;
    walletAddress: Signer;
    tokenProgram?: PublicKey;
};
export declare function recoverNestedAssociatedToken(context: Pick<Context, 'serializer' | 'programs'>, input: RecoverNestedAssociatedTokenInstructionAccounts): TransactionBuilder;
