import { Context, Option, PublicKey, Serializer, TransactionBuilder } from '@metaplex-foundation/umi';
export type InitializeMintInstructionAccounts = {
    mint: PublicKey;
    rent?: PublicKey;
};
export type InitializeMintInstructionData = {
    discriminator: number;
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export type InitializeMintInstructionDataArgs = {
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export declare function getInitializeMintInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMintInstructionDataArgs, InitializeMintInstructionData>;
export declare function initializeMint(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMintInstructionAccounts & InitializeMintInstructionDataArgs): TransactionBuilder;
