import { Context, PublicKey, Serializer, Signer, SolAmount, TransactionBuilder } from '@metaplex-foundation/umi';
export type TransferSolInstructionAccounts = {
    source?: Signer;
    destination: PublicKey;
};
export type TransferSolInstructionData = {
    discriminator: number;
    amount: SolAmount;
};
export type TransferSolInstructionDataArgs = {
    amount: SolAmount;
};
export declare function getTransferSolInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferSolInstructionDataArgs, TransferSolInstructionData>;
export declare function transferSol(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferSolInstructionAccounts & TransferSolInstructionDataArgs): TransactionBuilder;
